import typer

app = typer.Typer(no_args_is_help=True)


@app.command()
def list():
    """List all workflows"""
    from knoc.workflows import all_wfs

    typer.echo("\n".join([name for name in all_wfs]))


@app.command()
def run(name: str):
    """Run a workflow"""
    from knoc.workflows import all_wfs

    if name not in all_wfs:
        typer.echo(f"Unknown workflow {name}. Use 'list' to view all workflows")
        raise typer.Exit(1)
    wf = all_wfs[name]
    result = wf.run()  # type: ignore
    typer.echo(result)
